Bug 256704 - devel/jsonnet: Update to 0.17.0
Summary: devel/jsonnet: Update to 0.17.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/google/jsonnet/rel...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-19 02:29 UTC by Pavel Timofeev
Modified: 2021-06-21 02:17 UTC (History)
2 users (show)

See Also:
gasol.wu: maintainer-feedback+


Attachments
port patch (2.08 KB, patch)
2021-06-19 02:29 UTC, Pavel Timofeev
no flags Details | Diff
port patch w/ cmake (2.81 KB, patch)
2021-06-20 13:57 UTC, Pavel Timofeev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2021-06-19 02:29:39 UTC
Created attachment 225917 [details]
port patch

- update devel/jsonnet to 0.17.0
- remove some CXXFLAGS flags already presented in distro's Makefiles
- Add c++ lib and header
- Use DISTVERSION instead of PORTVERSION as advised by porter's handbook
Comment 1 Li-Wen Hsu freebsd_committer 2021-06-19 23:44:46 UTC
(In reply to timp87 from comment #0)
Thanks for the patch. If possible, please set your name at https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account for letting us putting it to `git commit --author`.
Comment 2 Pavel Timofeev 2021-06-20 13:57:59 UTC
Created attachment 225947 [details]
port patch w/ cmake

- update devel/jsonnet to 0.17.0
- use cmake to build
- add c++ lib and header, and static libs
- use DISTVERSION instead of PORTVERSION as advised by porter's handbook
- remove USE_CXXSTD and CXXFLAGS which seem unnecessary
Comment 3 Pavel Timofeev 2021-06-20 13:58:55 UTC
(In reply to Li-Wen Hsu from comment #1)
Done! Thank you
Comment 4 commit-hook freebsd_committer 2021-06-20 17:47:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4e2f5177e278716902cfcc8ef5896661243f82fd

commit 4e2f5177e278716902cfcc8ef5896661243f82fd
Author:     Pavel Timofeev <timp87@gmail.com>
AuthorDate: 2021-06-20 17:43:19 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-20 17:43:19 +0000

    devel/jsonnet: Update to 0.17.0

    - Use cmake to build
    - Add c++ lib and header, and static libs
    - Use DISTVERSION instead of PORTVERSION as advised by porter's handbook
    - Remove USE_CXXSTD and CXXFLAGS which seem unnecessary

    PR:             256704
    Approved by:    Gasol Wu <gasol.wu@gmail.com> (maintainer)

 devel/jsonnet/Makefile                      | 19 +++++++------------
 devel/jsonnet/distinfo                      |  6 +++---
 devel/jsonnet/files/patch-core_vm.cpp (new) | 11 +++++++++++
 devel/jsonnet/pkg-plist (new)               | 13 +++++++++++++
 4 files changed, 34 insertions(+), 15 deletions(-)